-- phpMyAdmin SQL Dump
-- version 4.3.11
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: Feb 14, 2016 alle 17:50
-- Versione del server: 5.6.24
-- PHP Version: 5.6.8

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `circolo`
--

-- --------------------------------------------------------

--
-- Struttura della tabella `giocatori`
--

CREATE TABLE IF NOT EXISTS `giocatori` (
  `N_GIOCATORE` int(11) NOT NULL DEFAULT '0',
  `COGNOME` varchar(50) DEFAULT NULL,
  `INIZIALI` varchar(10) DEFAULT NULL,
  `DATA_NASCITA` datetime DEFAULT NULL,
  `SESSO` varchar(1) DEFAULT NULL,
  `ISCRITTO_DAL` int(11) DEFAULT NULL,
  `INDIRIZZO` varchar(50) DEFAULT NULL,
  `NUMERO` varchar(50) DEFAULT NULL,
  `CAP` int(11) DEFAULT '0',
  `CITTA` varchar(50) DEFAULT NULL,
  `TELEFONO` varchar(50) DEFAULT NULL,
  `N_SOCIO` int(11) DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dump dei dati per la tabella `giocatori`
--

INSERT INTO `giocatori` (`N_GIOCATORE`, `COGNOME`, `INIZIALI`, `DATA_NASCITA`, `SESSO`, `ISCRITTO_DAL`, `INDIRIZZO`, `NUMERO`, `CAP`, `CITTA`, `TELEFONO`, `N_SOCIO`) VALUES
(2, 'Esperti', 'R', '1948-09-01 00:00:00', 'M', 1975, 'Corso Garibaldi', '43', 10123, 'Torino', '011-267848', 2411),
(6, 'Parmegiani', 'R', '1964-06-25 00:00:00', 'M', 1977, 'Via delle Rose', '80', 10118, 'Torino', '011-345627', 8467),
(7, 'Vasselli', 'GB', '1973-05-11 00:00:00', 'M', 1981, 'Viale Lunigiana', '39', 10131, 'Torino', '011-728696', 0),
(8, 'Nelli', 'B', '1962-07-08 00:00:00', 'F', 1980, 'P.le Loreto', '4', 20131, 'Milano', '02-2396489', 2983),
(27, 'Collini', 'D', '1964-11-28 00:00:00', 'F', 1983, 'Via Ripamonti', '804', 16111, 'Genova', '010-234857', 2513),
(28, 'Collini', 'C', '1963-06-22 00:00:00', 'F', 1983, 'Via La Spezia', '10', 46112, 'Mantova', '0376-84930', 0),
(39, 'Biscardi', 'D', '1956-10-29 00:00:00', 'M', 1980, 'Viale dei Mille', '78', 10140, 'Torino', '011-860045', 0),
(44, 'Baldi', 'E', '1963-01-09 00:00:00', 'M', 1980, 'Corso Buenos Aires', '23', 20124, 'Milano', '02-9965894', 1124),
(57, 'Broggi', 'M', '1971-08-17 00:00:00', 'M', 1985, 'Via De Cristoforis', '16', 10135, 'Torino', '011-738496', 6409),
(83, 'Iannelli', 'P', '1956-11-11 00:00:00', 'M', 1982, 'Via Vittadini', '16A', 10121, 'Torino', '011-748489', 1608),
(95, 'Milli', 'P', '1963-05-14 00:00:00', 'M', 1972, 'Corso Genova', '33A', 28845, 'Domodossola', '0324-86756', 0),
(100, 'Parmegiani', 'P', '1963-02-28 00:00:00', 'M', 1979, 'Via delle Rose', '80', 10118, 'Torino', '011-279589', 6524),
(104, 'Morrini', 'D', '1970-10-05 00:00:00', 'F', 1984, 'Corso V. Emanuele', '65', 16114, 'Genova', '010-987571', 7060),
(112, 'Bailo', 'I', '1963-10-01 00:00:00', 'F', 1984, 'Viale Abruzzi', '8', 85110, 'Potenza', '0971-7580', 1319);

-- --------------------------------------------------------

--
-- Struttura della tabella `membri_commissione`
--

CREATE TABLE IF NOT EXISTS `membri_commissione` (
  `N_GIOCATORE` int(11) NOT NULL DEFAULT '0',
  `DATA_INIZIO` datetime NOT NULL,
  `DATA_FINE` datetime DEFAULT NULL,
  `CARICA` varchar(50) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dump dei dati per la tabella `membri_commissione`
--

INSERT INTO `membri_commissione` (`N_GIOCATORE`, `DATA_INIZIO`, `DATA_FINE`, `CARICA`) VALUES
(2, '1990-01-01 00:00:00', '1992-12-31 00:00:00', 'Presidente'),
(2, '1994-01-01 00:00:00', NULL, 'Membro generico'),
(6, '1990-01-01 00:00:00', '1990-12-31 00:00:00', 'Segretario'),
(6, '1991-01-01 00:00:00', '1992-12-31 00:00:00', 'Membro generico'),
(6, '1992-01-01 00:00:00', '1993-12-31 00:00:00', 'Tesoriere'),
(6, '1993-01-01 00:00:00', NULL, 'Presidente'),
(8, '1990-01-01 00:00:00', '1990-12-31 00:00:00', 'Tesoriere'),
(8, '1991-01-01 00:00:00', '1991-12-31 00:00:00', 'Segretario'),
(8, '1993-01-01 00:00:00', '1993-12-31 00:00:00', 'Membro generico'),
(8, '1994-01-01 00:00:00', NULL, 'Membro generico'),
(27, '1990-01-01 00:00:00', '1990-12-31 00:00:00', 'Membro generico'),
(27, '1991-01-01 00:00:00', '1991-12-31 00:00:00', 'Tesoriere'),
(27, '1993-01-01 00:00:00', '1993-12-31 00:00:00', 'Tesoriere'),
(57, '1992-01-01 00:00:00', '1992-12-31 00:00:00', 'Segretario'),
(95, '1994-01-01 00:00:00', NULL, 'Tesoriere'),
(112, '1992-01-01 00:00:00', '1992-12-31 00:00:00', 'Membro generico'),
(112, '1994-01-01 00:00:00', NULL, 'Segretario');

-- --------------------------------------------------------

--
-- Struttura della tabella `partite`
--

CREATE TABLE IF NOT EXISTS `partite` (
  `N_PARTITA` varchar(50) NOT NULL,
  `N_SQUADRA` int(11) DEFAULT '0',
  `N_GIOCATORE` int(11) DEFAULT '0',
  `VITTORIE` int(11) DEFAULT '0',
  `SCONFITTE` int(11) DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dump dei dati per la tabella `partite`
--

INSERT INTO `partite` (`N_PARTITA`, `N_SQUADRA`, `N_GIOCATORE`, `VITTORIE`, `SCONFITTE`) VALUES
('1', 1, 6, 3, 1),
('10', 2, 104, 3, 2),
('11', 2, 112, 2, 3),
('12', 2, 112, 1, 3),
('13', 2, 8, 0, 3),
('2', 1, 6, 2, 3),
('3', 1, 6, 3, 0),
('4', 1, 44, 3, 2),
('5', 1, 83, 0, 3),
('6', 1, 2, 1, 3),
('7', 1, 57, 3, 0),
('8', 1, 8, 0, 3),
('9', 2, 27, 3, 2);

-- --------------------------------------------------------

--
-- Struttura della tabella `penalita`
--

CREATE TABLE IF NOT EXISTS `penalita` (
  `N_PAGAMENTO` int(11) NOT NULL DEFAULT '0',
  `N_GIOCATORE` int(11) DEFAULT '0',
  `DATA_PAGAMENTO` datetime DEFAULT NULL,
  `IMPORTO` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dump dei dati per la tabella `penalita`
--

INSERT INTO `penalita` (`N_PAGAMENTO`, `N_GIOCATORE`, `DATA_PAGAMENTO`, `IMPORTO`) VALUES
(1, 6, '1980-12-08 00:00:00', 100),
(2, 44, '1981-05-05 00:00:00', 75),
(3, 27, '1983-09-10 00:00:00', 100),
(4, 104, '1984-12-08 00:00:00', 50),
(5, 44, '1980-12-08 00:00:00', 25),
(6, 8, '1980-12-08 00:00:00', 25),
(7, 44, '1982-12-30 00:00:00', 30),
(8, 27, '1984-11-12 00:00:00', 75);

-- --------------------------------------------------------

--
-- Struttura della tabella `squadre`
--

CREATE TABLE IF NOT EXISTS `squadre` (
  `N_SQUADRA` int(11) NOT NULL DEFAULT '0',
  `N_GIOCATORE` int(11) DEFAULT '0',
  `CATEGORIA` varchar(50) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dump dei dati per la tabella `squadre`
--

INSERT INTO `squadre` (`N_SQUADRA`, `N_GIOCATORE`, `CATEGORIA`) VALUES
(1, 6, 'prima'),
(2, 27, 'seconda');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `giocatori`
--
ALTER TABLE `giocatori`
  ADD PRIMARY KEY (`N_GIOCATORE`), ADD KEY `NUMERO` (`NUMERO`);

--
-- Indexes for table `membri_commissione`
--
ALTER TABLE `membri_commissione`
  ADD PRIMARY KEY (`N_GIOCATORE`,`DATA_INIZIO`);

--
-- Indexes for table `partite`
--
ALTER TABLE `partite`
  ADD PRIMARY KEY (`N_PARTITA`);

--
-- Indexes for table `penalita`
--
ALTER TABLE `penalita`
  ADD PRIMARY KEY (`N_PAGAMENTO`);

--
-- Indexes for table `squadre`
--
ALTER TABLE `squadre`
  ADD PRIMARY KEY (`N_SQUADRA`);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
